HYPEBEAST Vulnerable to Heartbleed Exploit

Just letting you know that HYPEBEAST is vulnerable to the Heartbleed SSL bug, tested here: http://filippo.io/Heartbleed/#www.hypebeast.com

2 Weeks ago in Forum Support
HYPECHAT 0